Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.projtrack
Class Projects

    java.lang.Object
      com.knowgate.projtrack.Projects

    public class Projects

extends java.lang.Object

Constructor Summary
`Projects()`

Method Summary
`static DBSubset` | `getBugs(JDCConnection oConn, java.lang.String[] aStatus, java.lang.String sWorkAreaId, java.lang.String sUserId, java.lang.String sOrderBy)`
`static DBSubset` | `getDuties(JDCConnection oConn, java.lang.String[] aStatus, java.lang.String sWorkAreaId, java.lang.String sUserId, java.lang.String sOrderBy)`
`static java.lang.String` | `XMLListBugs(JDCConnection oConn, java.lang.String[] aStatus, java.lang.String sWorkAreaId, java.lang.String sUserId, java.lang.String sDateTimeFormat, java.lang.String sOrderBy)`
`static java.lang.String` | `XMLListDuties(JDCConnection oConn, java.lang.String[] aStatus, java.lang.String sWorkAreaId, java.lang.String sUserId, java.lang.String sDateTimeFormat, java.lang.String sOrderBy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Projects

    public Projects()

Method Detail

### getBugs

    public static DBSubset getBugs(JDCConnection oConn,
                                   java.lang.String[] aStatus,
                                   java.lang.String sWorkAreaId,
                                   java.lang.String sUserId,
                                   java.lang.String sOrderBy)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDuties

    public static DBSubset getDuties(JDCConnection oConn,
                                     java.lang.String[] aStatus,
                                     java.lang.String sWorkAreaId,
                                     java.lang.String sUserId,
                                     java.lang.String sOrderBy)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### XMLListBugs

    public static java.lang.String XMLListBugs(JDCConnection oConn,
                                               java.lang.String[] aStatus,
                                               java.lang.String sWorkAreaId,
                                               java.lang.String sUserId,
                                               java.lang.String sDateTimeFormat,
                                               java.lang.String sOrderBy)
                                        throws java.sql.SQLException,
                                               java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

### XMLListDuties

    public static java.lang.String XMLListDuties(JDCConnection oConn,
                                                 java.lang.String[] aStatus,
                                                 java.lang.String sWorkAreaId,
                                                 java.lang.String sUserId,
                                                 java.lang.String sDateTimeFormat,
                                                 java.lang.String sOrderBy)
                                          throws java.sql.SQLException,
                                                 java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD